import request from './request';
// 取当前活动规则
export const findCurrentRewardRule = (params) => {
  return request({
    url: `shelf/rewardRule/findCurrentRewardRule`,
    method: 'get'
  })
}
// 获取当前用户 的奖励汇总信息
export const findUserReward = (params) => {
  return request({
    url: `shelf/reward/findUserReward`,
    method: 'get'
  })
}
// 获取奖励列表信息
export const getRewardOrderList = (params) => {
  return request({
    url: `shelf/rewardOrder/queryPage/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
// 滚动领奖列表
export const getRewardRollList = (params) => {
  return request({
    url: `shelf/rewardOrder/rollList/${params.pageNo}/${params.pageSize}`,
    data: params,
    method: 'post'
  })
}
